/*
  Theme Name: 3PM - Custom Theme Child
  Theme URI: https://3pmauto.ai/
  Template: 3pm-theme-custom
  Description: Build Date - 04-2026
  Author: 3 Phase Marketing
  Author URI: https://3pmauto.ai/
  Version: 1.0.1
*/

/* ===========================
Banners
=========================== */

.banner-text p {
  text-shadow: 0px 1px 2px rgb(0 0 0 / 60%);
}

.banner-shape {
  position: absolute;
  right: -2px;
  height: 100%;
  z-index: 1;
}

.banner-shape *,
.banner-shape img,
.banner-video .wp-block-video,
.banner-video .wp-block-video video {
  height: 100%;
  object-fit: cover;
}

/* ===========================
Embla Slider
=========================== */

/* -- Embla: Dots -- */

.embla .embla__dot {
  background-color: rgb(221 221 221 / 70%);
}

.embla .embla__dot:hover:not(.embla__dot--selected) {
  background-color: rgb(221 221 221 / 100%);
}

.embla .embla__dot--selected {
  background-color: var(--wp--preset--color--primary);
}

/* -- Embla: Arrows -- */

.embla .embla__button {
  background-color: rgb(255 255 255 / 30%);
  color: #000000;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

.embla .embla__button:hover {
  background-color: #fff;
}

/* banner full height -Pixel value is minus the header height */
@media (min-width: 1440px) {
  .banner-full-height .embla .embla__slide img,
  .banner-full-height .embla .embla__slide video,
  .banner-full-height img,
  .banner-full-height video {
    height: calc(100vh - 247px);
    object-fit: cover;
  }
}

/* ===========================
Forms - Fluet form Styling
=========================== */

.ff-btn-submit {
  background: var(--wp--preset--color--contrast);
  color: var(--wp--preset--color--white);
  border-radius: 100px;
}

.ff-btn:hover {
  background-color: var(--wp--preset--color--primary);
  color: var(--wp--preset--color--white);
}

.fluentform .ff-el-form-control {
  background: #ffffff;
}

/* ===========================
Buttons - Hover States
=========================== */

/* -- Buttons: Primary -- */
.wp-element-button:hover,
.is-style-primary .wp-element-button:hover {
  background-color: var(--wp--preset--color--black);
  border-color: var(--wp--preset--color--black);
  color: var(--wp--preset--color--neutral);
  text-decoration: none;
}

/* -- Buttons: Secondary -- */
.is-style-secondary .wp-element-button:hover,
.wp-block-navigation__responsive-container
  .wp-block-navigation__responsive-container-content
  .btn-solid
  .wp-block-navigation-item__content:hover {
  background-color: var(--wp--preset--color--black);
  border-color: var(--wp--preset--color--black);
  color: var(--wp--preset--color--neutral);
  text-decoration: none;
}

/* -- Buttons: Outline -- */
.is-style-outline-primary .wp-element-button:hover,
.is-style-outline-secondary .wp-element-button:hover,
.wp-block-navigation__responsive-container
  .wp-block-navigation__responsive-container-content
  .btn-outline
  .wp-block-navigation-item__content:hover {
  background-color: var(--wp--preset--color--black);
  border-color: var(--wp--preset--color--black);
  color: var(--wp--preset--color--neutral);
  text-decoration: none;
}

/* -- Buttons: Third -- */
.is-style-third .wp-element-button {
  background-color: var(--wp--preset--color--third);
  border-color: var(--wp--preset--color--third);
  color: var(--wp--preset--color--primary);
  text-decoration: none;
}

/* -- Buttons: Third Hover -- */
.is-style-third .wp-element-button:hover {
  background-color: var(--wp--preset--color--secondary);
  border-color: var(--wp--preset--color--secondary);
  color: var(--wp--preset--color--white);
  text-decoration: none;
}

/* -- Main Navigation -- */
.has-background .wp-block-navigation__responsive-container-open:focus,
.has-background .wp-block-navigation__responsive-container-open:hover {
  color: var(--wp--preset--color--base);
}

.wp-block-navigation a.wp-block-navigation-item__content:hover,
.wp-block-navigation-item.open-on-click
  .wp-block-navigation-submenu__toggle:hover {
  color: var(--wp--preset--color--secondary);
}


@media (max-width: 768px) {
  .custom-logo {
    width: 200px;
  }
}

/* ===========================
Mobile Nav
=========================== */

/* Colour for Ham Menu & X Button */

.wp-block-navigation__responsive-container-close,
.wp-block-navigation__responsive-container-open {
  border: 1px solid #5c5c5c; /*Border Colour */
}

.wp-block-navigation__responsive-container-open svg,
.has-modal-open .wp-block-navigation__responsive-container-open:before {
  color: #000; /* Ham Menu Colour */
}

@media (max-width: 1199px) {
  .wp-block-navigation__responsive-container {
    top: 67px; /* Adjust this value based on your header height */
  }
}

/* ===========================
Filters - Showroom Example
=========================== */

.filter-showroom .wp-block-custom-block-filter-trigger {
  border-bottom: 2px solid var(--wp--preset--color--neutral);
}

.filter-headings.filter-showroom .wp-block-custom-block-filter-trigger:hover {
  border-color: var(--wp--preset--color--white);
}

.filter-headings.filter-showroom
  .wp-block-custom-block-filter-trigger.is-active {
  border-color: var(--wp--preset--color--white);
  color: var(--wp--preset--color--black);
}

/* ===========================
Accordion
=========================== */
.is-style-accordion-line {
  border-color: var(--wp--preset--color--grey);
}

.is-style-accordion-style {
  /* background-color: var(--wp--preset--color--neutral); */
  border-top: 1px solid var(--wp--preset--color--grey);
}

.is-style-accordion-style .wp-block-accordion-heading button {
  padding: 25px 0 25px 0;
}

.is-style-accordion-style:hover,
.is-style-accordion-style.is-open {
  /* background-color: #fff; */
  border-color: var(--wp--preset--color--grey);
}

.is-style-accordion-style .wp-block-accordion-panel {
    padding-left: 0;
    padding-right: 0;	
}

.is-style-accordion-style.is-open .wp-block-accordion-panel {
    padding: 0 0 20px;
}

/* ===========================
Footer
=========================== */

footer .wp-block-social-links .wp-social-link a:hover {
  color: var(--wp--preset--color--primary);
}

/* ===========================
Table Responsive
=========================== */
.wp-block-table table th,
.wp-block-table table td {
  border: 1px solid #ddd;
}

/* ===========================
Custom - Page Styles
=========================== */

.model-nav.show {
  background: #fff;
}

/* ===========================
AI Search Button
=========================== */

.btn-ai {
  cursor: pointer;
}

/* .top-header .btn-ai {
  background: none;
} */

/* ===========================
Mini Search - Stacked
=========================== */

@media (max-width: 1024px) {
  .mini-input {
    border: 1px solid var(--wp--preset--color--grey);
  }
}

@media (min-width: 1025px) {
  .mini-search {
    border: 1px solid var(--wp--preset--color--grey);
  }
}

.circle-icon {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background-color: #f0f0f0;

  /* Centering content inside */
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 1024px) {
  .r-logo img {
    width: 150px !important;
  }
}

.search-icon {
  cursor: pointer;
}

/* Center align container */

.center-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* .video-wrapper {
  clip-path: path("M0,0 H80% Q95%,50% 80%,100% H0 Z");
  overflow: hidden;
} */

/* 3 card brands homepage css */
/* Grayscale only the image/figure inside the 3rd card of the rag-main-card slider */
.rag-main-card .embla__slide:nth-child(3) figure,
.rag-main-card .embla__slide:nth-child(3) img {
  filter: grayscale(1) !important;
  /* opacity: 0.7; */
}

.rag-card {
  background: linear-gradient(
    151deg,
    rgba(0, 0, 0, 0.95) 0%,
    rgba(0, 0, 0, 0) 50%
  );
}

@media (max-width: 1024px) {
  /* Hide scroll elements before they enter the viewport */
  .fx-animation:not(.is-visible),
  .fx-animation-group:not(.is-visible) > *:not(.embla__viewport),
  .fx-animation-group:not(.is-visible) .embla__slide_inner {
    opacity: 1;
  }
}

/* Tabs border colour rounded */
.is-style-rounded .tab-headings li button {
  border-color: #f1f2f4;
}

/* ===========================
Team Page
=========================== */

.team-wrap {
  word-break: break-all;
}
